"Pinning" a dwg to File Menu

is there a way to Pin dwgs to the File/ Recent Files menu?
I would find that very helpful when working on multiple jobs and often pulling up old jobs for a look-see, copy something to current job or vice versa,  and then closing.
The job(s) I'm actually working on at point in time can get buried or lost in that menu system easily.

I couldn't find anything in Help so ask here.
Thanks

Comments

  • You can try something like this:
    Set up a special folder for the DRAWINGPATH preference (check _SETTINGS).
    Create shortcuts to your favorite drawings in this folder.
    Use Ctrl+O > click on the fifth folder in the places bar > click the right shortcut.
  • Thanks Roy
    I'd been doing similar with shortcuts, having a folder which I went to with my shortcuts to jobs in progress, from Ctrl O.
    While it works well I was thinking it would be good to have a 'Pinned' section under the File Menu.
    It's only another mouse click or two away so probably just being lazy!!
    regards
    Richard
  • Richard,

    The following code by Daniel Marcotte may give you a start to create your own menu bar populated with drawings you have "pinned". You would need to create another routine to store and retrieve your pinned drawing list from either a file or the registry.

    Note I'm not sure where or when I came across this, but Daniel has previously posted variants here and on the swamp.

    [code]; LoadDynamicPopupMenu
    ; Dynamically creates and populates the Menu bar with the given commands
    ; Available for that BricsCAD session only

    ;;;-===-==-==-==-=-==-==-==-=-==-==-=-==-==-=-==-==-=-==-==-=-==-=-==-
    ;;; (loadDynamicPopUpMenu '("Mymenu"(("Do Command1" . "command1")("Do Command2" . "command2"))))
    ;;;-===-==-==-==-=-==-==-==-=-==-==-=-==-==-=-==-==-=-==-==-=-==-=-==-
    (defun LoadDynamicPopupMenu (menulist / acadapp cmd currmenugroup doc loadedmenulist menu newmenu)
      (vl-load-com)
      (setq acadapp (vlax-get-acad-object)
                  loadedmenulist '()
                  doc (vla-get-activedocument acadapp)
                  currmenugroup (vla-item (vla-get-menugroups (vla-get-application doc)) "Bricscad")
                     cmd (lambda (x)    (strcat "\137" x "\040"))
      )
      (if (/= currmenugroup nil)
            (progn
              (vlax-for menu (vla-get-menus currmenugroup)
                         (setq loadedmenulist (cons (vla-get-namenomnemonic menu) loadedmenulist))
              )
              (if (= (vl-position (car menulist) loadedmenulist) nil)
                     (progn
                       (setq newmenu (vla-add (vla-get-menus currmenugroup)(car menulist)))
                       (foreach e (car (cdr menulist))
                         (vla-addmenuitem
                           newmenu
                           (1+ (vla-get-count newmenu))
                           (car e)
                           (cmd (cdr e))
                         )
                       )
                       (vla-insertinmenubar newmenu (1+ (vla-get-count (vla-get-menubar acadapp))))
                     )
                     (princ (strcat "\nerror of type ohno " (car menulist) " menu is already loaded "))
              )
            )
      )
     (princ)
    )[/code]

    Regards,

    Jason Bourhill

    CAD Concepts


  •  thanks Jason
    That's not one of my areas, but will look into it further. (Never understood that side of Cad)
    I've had many interruptions and diversions causing this to be rather important.
This discussion has been closed.